man(1)

NAME
Arthas - Alibaba Java Diagnostic Tool

SYNOPSIS
as [-h] [--target-ip <value>] [--telnet-port <value>]
       [--http-port <value>] [--session-timeout <value>] [--arthas-home <value>]
       [--use-version <value>] [--repo-mirror <value>] [--versions] [--use-http]
       [--attach-only] [-c <value>] [-f <value>] [-v] [pid]

DESCRIPTION
Arthas is a Java Diagnostic tool open sourced by Alibaba, Arthas allows developers to troubleshsoot production issues for Java applications without modifying code or restarting servers. Oftentimes the production system network is inaccessible from local development envoirnment. if issues are encountered in production systems, it is impossible to use the IDE to debug the application remotely, What's even worse, debugging in production envoirnment is unacceptable, as it will suspend all the threads, leading to services downtime. And if you're thinking of adding some logs to your code to help troubleshsoot the issue, you'll have to go through the following lifecycle: test, staging, and then to production, which is for sure going to take a lot of time and also this is an inefficient approach! Worse still, the issue may not be fixed since it might be irreproduceable once the JVM is restarted as above. Arthas is built to solve these issues. A developer can troubleshoot production issues on the fly. No JVM restart. no additional code changes. Arthas works as an observer, that is, it will never suspend your running threads.

OPTIONS AND ARGUEMENTS

-h, --help
    print usage

--target-ip <value>
    The target JVM listen ip, the default ip is 127.0.0.1

--telnet-port <value>
    The target jvm listen telnet port, default is 3658

--http-port <value>
    The target jvm listen http port, default is 8563

--session-timeout <value>
    The session timeout time in seconds, default 1800 (30min)

--arthas-home <value>
    The arthas home

--use-version <value>
    Use specific version of arthas

--repo-mirror <value>
    Use special maven repository mirror, value is center/aliyun or http repo url.

--versions
    List local and remote arthas versions

--use-http
    Enforce use http to download, default use https

--attach-only
    Attach target process only, do not connect

--debug-attach
    Debug attach agent

-c, --command <value>
    Command to execute, multiple commands separated by ";"

-f, --batch-file <value>
    The batch file to execute

--height <value>
    arthas-client terminal height

--width <value>
    arthas-client terminal width

-v, --verbose
    Verbose, print debug info.

<pid>
    Target pid